from model.BotExchangeResponse import Prompt, PromptSequence


def GetPromptSequenceForTranscript(transcript):
    result = PromptSequence()
    prompt = Prompt()
    prompt.transcript = transcript
    result.prompts = []
    result.prompts.append(prompt)
    return result
def GetPromptSequenceForAudio(audioByte, transcripts):
    result = PromptSequence()
    prompt = Prompt()
    prompt.transcript = transcripts
    prompt.base64_encoded_g711_ulaw_with_wav_header = audioByte
    result.prompts = []
    result.prompts.append(prompt)
    return result